Page MenuHomePhabricator

Notify editors that they are now eligible for the Wikipedia Library program
Open, Needs TriagePublic

Description

Create a new Echo notification type, that gets sent to editors telling them that Wikipedia Library database access is now available to them.:

Send the notification when the editor has hit both benchmarks:

  • A 6 month old account

AND

  • 500 global edits

Note, this should only be done on Wikipedias that have a Wikipedia Library Card platform translation (T152299).


Proposed Notification Details

BASIC INFORMATION

  • notification name: twl-eligible
  • what triggers notification?: user has been registered 6 months and has a min of 500 global edits
  • "Notice" or "Alert"?: Notice
  • Notification type (standard, bundled, expandable bundle): Standard

WORDING

  • header: Congratulations! You are eligible for Wikipedia Library access.
  • body: Apply to get free access to research databases.
  • for Bundled Messages: NA

LINKS

ICON


This is distinct from T131210: Notify editors that a new Wikipedia Library database is available to them a more complicated task.


See also: T54690: Notification when user becomes auto-confirmed

Related Objects

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
jmatazzoni added a subscriber: KMuthu.

Now that KMuthu has moved on, someone else needs to pick this up and finish it.

We can probably simplify this task substantially by pointing users always to the new Library Card Platform, rather than the database list page in the user's language group. The platform (https://wikipedialibrary.wmflabs.org/) is the new central database list, will be available in all languages, and therefore would be the best place to link to once migration of all users (T151177) has occurred.

We can probably simplify this task substantially by pointing users always to the new Library Card Platform, rather than the database list page in the user's language group. The platform (https://wikipedialibrary.wmflabs.org/) is the new central database list, will be available in all languages, and therefore would be the best place to link to once migration of all users (T151177) has occurred.

Great! Would we make that the primary link target, and remove the secondary link?

We can probably simplify this task substantially by pointing users always to the new Library Card Platform, rather than the database list page in the user's language group. The platform (https://wikipedialibrary.wmflabs.org/) is the new central database list, will be available in all languages, and therefore would be the best place to link to once migration of all users (T151177) has occurred.

Great! Would we make that the primary link target, and remove the secondary link?

We'd make that the primary target, but ideally keep the secondary target as currently described. But honestly if it's going to be hard work to implement, I'm happy with going ahead and deploying the version without a secondary link target.

Samwalton9 updated the task description. (Show Details)Mar 15 2017, 11:05 PM
Samwalton9 updated the task description. (Show Details)

Change 344064 had a related patch set uploaded (by Kmuthu):
[mediawiki/extensions/TheWikipediaLibrary] Create notification for The Wikipedia Library users.

https://gerrit.wikimedia.org/r/344064

Wasn't expecting this to happen so soon after my suggested change! The library card platform isn't quite ready yet, so can this wait for another month or two (until I let you know it's good to go)? :)

Wasn't expecting this to happen so soon after my suggested change!

It was really already mostly done, but not tagged against this bug, so Kavitha's change making a few tweaks is the first thing that did get tagged here :)

The library card platform isn't quite ready yet, so can this wait for another month or two (until I let you know it's good to go)? :)

Sure, its deployment can be deferred until whenever you want. We can also change the configuration for the primary link to not point to the library card platform at first, whatever you like. Once development has finished and this has gone through security review and deployment etc, and it's running on testwiki, we can talk about when to roll it out where.

Change 344064 merged by jenkins-bot:
[mediawiki/extensions/TheWikipediaLibrary] Change TheWikipediaLibrary notification's category and primary link.

https://gerrit.wikimedia.org/r/344064

The library card platform isn't quite ready yet, so can this wait for another month or two (until I let you know it's good to go)? :)

Sure, its deployment can be deferred until whenever you want. We can also change the configuration for the primary link to not point to the library card platform at first, whatever you like. Once development has finished and this has gone through security review and deployment etc, and it's running on testwiki, we can talk about when to roll it out where.

Sounds great. We're only a month or two away so I think it makes sense to keep the target as the library card platform and just hold off on deployment until it's ready. I'll let you know here when we're good to roll out to the Wikipedias, and am excited to see it up and running on testwiki!

@Samwalton9, when do you think the platform will be ready? I'm asking to schedule public announcements.

@Trizek-WMF We're aiming for the end of April.

@Trizek-WMF We're aiming for the end of April.

Ok, thanks! We will sync soon about it.

Change 344563 had a related patch set uploaded (by Kmuthu):
[mediawiki/extensions/TheWikipediaLibrary@master] Set feature flag for TheWikiepdiaLibrary extension

https://gerrit.wikimedia.org/r/344563

Change 344563 merged by jenkins-bot:
[mediawiki/extensions/TheWikipediaLibrary@master] Check for TheWikipediaLibrary extension feature flag value before the callable update.

https://gerrit.wikimedia.org/r/344563

Quick question, which I assume applies to most/all notifications: if a user hits 500 edits & 6 months on one wiki and receives the notification, and then they hit the criteria on another wiki, do they receive the notification again? Shouldn't be a big deal, just checking!

Are the programs independents? Can people have access to resources in French if they only have hit the criteria for Italian?

Users are eligible for all resources when they hit the criteria on any language Wikipedia.

Okay. Then, have the same message twice would possibly been perceived as spam or as a reminder. :)
I don't know how possible it is to have a first message for the first wiki, and then reminders every time a user hits the conditions.

I think it would be preferable that they don't receive the notification again on another Wiki, which is why I asked, but I don't think it's going to be that big of a deal if they do.

Actually - would it be possible to send a single notification when they hit 6 months & 500 edits across all language Wikipedias? I think that would be preferable and would solve the spam issue. Not sure if notifications currently support that kind of setup though.

The process of migrating signups to the centralised platform is on track to be finished within the next 1-2 weeks, so I wanted to revisit this task.

Per my edit to the task description, the notification can now link directly to https://wikipedialibrary.wmflabs.org/, where all signups will be taking place. What needs to be done to get this notification live? :)

Trizek-WMF added a comment.EditedJul 7 2017, 3:11 PM

What needs to be done to get this notification live? :)

Something not easy: find a developer. I've ping the Collaboration team. :)

Restricted Application added a project: Growth-Team. · View Herald TranscriptSep 2 2018, 11:07 PM

I'll just add a history note here: Collaboration Team agreed to complete this some two years ago. There were some delays based on dependencies. But my understanding is they are cleared now.

SBisson changed the subtype of this task from "Task" to "Feature Request".Oct 16 2018, 1:06 PM
SBisson changed the subtype of this task from "Feature Request" to "Task".Oct 16 2018, 6:41 PM

Change 468688 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/TheWikipediaLibrary@master] Update notification language to match what was requested on Phabricator

https://gerrit.wikimedia.org/r/468688

@Samwalton9 -- is this still something you need or are waiting on? If so, we can put it in our sprint so that @Catrope can investigate and remember its status. Then we'll decide if/when to work on it.

Yes, we'd still love to have this!

Change 468688 merged by jenkins-bot:
[mediawiki/extensions/TheWikipediaLibrary@master] Update notification language to match what was requested on Phabricator

https://gerrit.wikimedia.org/r/468688

Change 469150 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/TheWikipediaLibrary@master] Use a hidden global preference to show the notification only once

https://gerrit.wikimedia.org/r/469150

While I apologize for the very long delay, technical advances in the meantime have made this easier to build. Now that GlobalPreferences exists, it was much easier to make this a notification that fires only once per global user. I also made it be based on the global edit count and registration time.

Once the above patch is merged, I think this extension will be ready for security review and deployment.

Change 469150 merged by jenkins-bot:
[mediawiki/extensions/TheWikipediaLibrary@master] Use a hidden global preference to show the notification only once

https://gerrit.wikimedia.org/r/469150

I feel like this was one of the first tickets I put in for development when I started here three years ago. I'm no longer on this team but happy to be able to look @Samwalton9 in the eye next time I see him. I know there were some issues that kept it blocked. But thanks for picking up @Catrope!

Catrope claimed this task.Oct 24 2018, 6:08 PM
Catrope moved this task from Incoming to In Progress on the Growth-Team (Current Sprint) board.

@Catrope, any idea of when that new notification will be available? That's for Tech News.

@Catrope, any idea of when that new notification will be available? That's for Tech News.

It'll need to go through security review first, then be deployed to beta labs, then be deployed to production. So it'll probably be a few weeks, and I'll be able to give ample notice to you for Tech News and to @Samwalton9 .

Thanks @Catrope. If you can give that notice two weeks before it is public, that would be great. :)

JTannerWMF moved this task from Inbox to Blocked on the Growth-Team board.

I am ambiguous. Whilst enabling of resource access among editors is un-doubt-ably noble, we need to remember that there are not infinite subscription tokens.

This will lead to a massive influx of application requests from every extended-confirmed newbie (obviously, in good faith) and coordinators will have a very hard time separating the wheat from the chaff. If we need to do this; we ought to restrict the count of 500 edits to main-space.

And before introducing this on en-wiki; there needs to be a local RFC.

Change 524052 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/tools/release@master] Add TheWikipediaLibrary extension

https://gerrit.wikimedia.org/r/524052

greg added a subscriber: greg.Wed, Jul 17, 11:24 PM

Change 524052 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/tools/release@master] Add TheWikipediaLibrary extension
https://gerrit.wikimedia.org/r/524052

Reminder to add it to the Dev/Maintainers page. :)

Change 524059 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Deploy TheWikipediaLibrary to beta labs

https://gerrit.wikimedia.org/r/524059

Change 524059 merged by jenkins-bot:
[operations/mediawiki-config@master] Deploy TheWikipediaLibrary to beta labs

https://gerrit.wikimedia.org/r/524059

Change 524052 merged by jenkins-bot:
[mediawiki/tools/release@master] Add TheWikipediaLibrary extension

https://gerrit.wikimedia.org/r/524052

Change 524251 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[operations/mediawiki-config@master] extension-list: Add SecureLinkFixer and TheWikipediaLibrary

https://gerrit.wikimedia.org/r/524251

Does this mean the notifications are now live?!

And just a quick check - is this only going out to newly-eligible users or will people who've already crossed the threshold get a retroactive alert? Just curious.

Jdforrester-WMF added a comment.EditedThu, Jul 18, 4:32 PM

Does this mean the notifications are now live?!

No. It's live on the Beta Cluster. Can't be live in production for at least 12 days' time, sorry.

Catrope added a comment.EditedThu, Jul 18, 6:06 PM

Does this mean the notifications are now live?!
And just a quick check - is this only going out to newly-eligible users or will people who've already crossed the threshold get a retroactive alert? Just curious.

It's supposed to send a retroactive alert to people who have already crossed the threshold once they make an edit (at least that's how it's currently designed). But right now it's not working at all, neither in beta labs nor on my localhost, and I haven't yet figured out why. I'm pretty sure it worked when I first submitted it for a security review. Never mind, now it's working after all.

Once this is ready to go into production two weeks from now (and once https://gerrit.wikimedia.org/r/c/mediawiki/extensions/TheWikipediaLibrary/+/524062 has been merged), I'll enable this in test.wikipedia.org first, and @Samwalton9 and I can then discuss where to roll it out from there.

AVasanth_WMF added a comment.EditedFri, Jul 19, 1:47 AM

Does this mean the notifications are now live?!
And just a quick check - is this only going out to newly-eligible users or will people who've already crossed the threshold get a retroactive alert? Just curious.

It's supposed to send a retroactive alert to people who have already crossed the threshold once they make an edit (at least that's how it's currently designed). But right now it's not working at all, neither in beta labs nor on my localhost, and I haven't yet figured out why. I'm pretty sure it worked when I first submitted it for a security review. Never mind, now it's working after all.

We're not entirely sure we'd want that to happen. Mostly because of this

And before introducing this on en-wiki; there needs to be a local RFC.

While we could potentially get away with one notification being sent to relatively new editors, retroactively notifying editors might cause some stir we aren't prepared to handle at the moment.

Thanks @Catrope!

We're going to have a chat about how/when is best to roll this out - we're right around the corner from changing the mode of access for most of our content. As such, delaying the rollout for a few months might be a good idea. I'll confirm.